import com.rinearn.graph3d.RinearnGraph3D;

/**
 * 配列データから適当な点列をプロットするだけの、
 * 単純なサンプルコードです。
 */
public class Sample2 {

	public static void main(String[] args) {
		
		// 座標値データの用意
		int n = 300;
		double[] x = new double[n];
		double[] y = new double[n];
		double[] z = new double[n];
		for(int i=0; i<n; i++) {
			x[i] = i*0.1;
			y[i] = Math.sin(x[i]);
			z[i] = Math.cos(x[i]);
		}
		
		// グラフにプロット
		RinearnGraph3D graph = new RinearnGraph3D();
		graph.setData(x, y, z);
		
		// グラフを画像ファイルに出力したい場合は、以下を有効にしてください。
		/*
		try {
			graph.exportImageFile(new java.io.File("graph.png"), 1.0);
		} catch (java.io.IOException ioe) {
			System.err.println("ファイル出力に失敗しました。");
		}
		*/
	}
}
